For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Rent Manager
        • POSTCreate Resident Credit: Rent Manager
        • POSTCreate Resident Recurring Charge: Rent Manager
        • PUTUpdate Recurring Resident Charge: Rent Manager
        • POSTCreate Resident Payment: Rent Manager
        • POSTBatch Create Resident Charges: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerBilling and Payments

Get all financial accounts

GET
/v1/financial-accounts/
GET
/v1/financial-accounts/
$curl https://api.propexo.com/v1/financial-accounts/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": [
15 {
16 "id": "clwktsp9v000008l31iv218hn",
17 "created_at": "2024-03-21T15:38:08.337Z",
18 "updated_at": "2024-03-22T10:59:45.119Z",
19 "last_seen": "2024-03-22T10:59:45.119Z",
20 "x_id": "GL123456789",
21 "x_property_id": "PROP987654321",
22 "x_location_id": "LOC12345",
23 "name": "Operating Account",
24 "status_raw": null,
25 "account_number": "4001-5678-9012",
26 "custom_data": {},
27 "property_id": "clwi5xiix000008l6ctdgafyh",
28 "integration_id": "clwh5u07w000508me66sfh3um",
29 "integration_vendor": "RENTMANAGER"
30 }
31 ]
32}
Get all financial accounts
Was this page helpful?
Previous

Get a financial account by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
account_numberstringOptional
The account number associated with the financial account

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error